[Qa-jenkins-scm] [jenkins.debian.net] 01/01: YOLO: deal with quoted-printable continuation lines, change the '=' at 1st lineend into a space character

Holger Levsen holger at layer-acht.org
Wed Nov 23 15:04:07 UTC 2016


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 44018d5e21de5f42612b003b584c3b42b0a8dd2a
Author: Holger Levsen <holger at layer-acht.org>
Date:   Wed Nov 23 16:03:29 2016 +0100

    YOLO: deal with quoted-printable continuation lines, change the '=' at 1st lineend into a space character
    
    Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
 bin/email2irc.sh                   |  3 ++-
 bin/reproducible_freebsd.sh        |  2 +-
 bin/reproducible_setup_pbuilder.sh | 21 +++++++++++++--------
 3 files changed, 16 insertions(+), 10 deletions(-)

diff --git a/bin/email2irc.sh b/bin/email2irc.sh
index 0871cab..33beea4 100755
--- a/bin/email2irc.sh
+++ b/bin/email2irc.sh
@@ -87,7 +87,8 @@ while read -r line ; do
 		else
 			# deal with quoted-printable continuation lines: 2nd line/time
 			# if $MY_LINE ends with '=', then append the next line to $MY_LINE,
-			# TODO: changing the '=' to a single space.
+			# changing the '=' to a single space.
+			MY_2ND_LINE=$(echo $MY_2ND_LINE | sed -s 's#=$# #')
 			MY_LINE="$MY_2ND_LINE $MY_LINE"
 			debug123 "#5" MY_LINE $MY_LINE
 			debug123 "#6" MY_2ND_LINE $MY_2ND_LINE
diff --git a/bin/reproducible_freebsd.sh b/bin/reproducible_freebsd.sh
index f9d8275..da5c407 100755
--- a/bin/reproducible_freebsd.sh
+++ b/bin/reproducible_freebsd.sh
@@ -82,7 +82,7 @@ run_diffoscope_on_results() {
 #
 # main
 #
-#FREEBSD_TARGETS="master stable/10 release/10.3.0"
+#FREEBSD_TARGETS="master stable/11 release/11.0"
 # temporarily just build one branch…
 FREEBSD_TARGETS="master"
 # arrays to save results
diff --git a/bin/reproducible_setup_pbuilder.sh b/bin/reproducible_setup_pbuilder.sh
index 28bad4f..bf79310 100755
--- a/bin/reproducible_setup_pbuilder.sh
+++ b/bin/reproducible_setup_pbuilder.sh
@@ -100,13 +100,18 @@ setup_pbuilder() {
 	fi
 	# setup base.tgz
 	sudo pbuilder --create $pbuilder_http_proxy --basetgz /var/cache/pbuilder/${NAME}-new.tgz --distribution $SUITE --extrapackages "$EXTRA_PACKAGES"
-	# apply further customisations, eg. install $PACKAGES from our repo
-	create_setup_tmpfile ${TMPFILE} "${PACKAGES}"
-	if [ "$DEBUG" = "true" ] ; then
-		cat "$TMPFILE"
+
+	# TODO: add repo only for experimental and sid - keep testing "real" (and sid progressive!)
+	#       then ximin can upload :)
+	if [ "$SUITE" != "testing" ] ; then
+		# apply further customisations, eg. install $PACKAGES from our repo
+		create_setup_tmpfile ${TMPFILE} "${PACKAGES}"
+		if [ "$DEBUG" = "true" ] ; then
+			cat "$TMPFILE"
+		fi
+		sudo pbuilder --execute $pbuilder_http_proxy --save-after-exec --basetgz /var/cache/pbuilder/${NAME}-new.tgz -- ${TMPFILE} | tee ${LOG}
+		rm ${TMPFILE}
 	fi
-	sudo pbuilder --execute $pbuilder_http_proxy --save-after-exec --basetgz /var/cache/pbuilder/${NAME}-new.tgz -- ${TMPFILE} | tee ${LOG}
-	
 	# FIXME: this code should be dropped it's just so new that a fixed dpkg is in testing as well… \o/
 	# finally, confirm things are as they should be
 	# (we only have modified dpkg left in testing…)
@@ -116,14 +121,14 @@ setup_pbuilder() {
 	#	for PKG in ${PACKAGES} ; do
 	#		egrep "http://reproducible.alioth.debian.org/debian(/|) ./ Packages" ${LOG} \
 	#			| grep -v grep | grep "${PKG} " \
-	#			|| ( echo ; echo "Package ${PKG} is not installed at all or probably rather not in our version, so removing the chroot and exiting now." ; sudo rm -v /var/cache/pbuilder/${NAME}-new.tgz ; rm $TMPFILE $LOG ; exit 1 )
+	#			|| ( echo ; echo "Package ${PKG} is not installed at all or probably rather not in our version, so removing the chroot and exiting now." ; sudo rm -v /var/cache/pbuilder/${NAME}-new.tgz ; rm $LOG ; exit 1 )
 	#	done
 	#fi
 
 	sudo mv /var/cache/pbuilder/${NAME}-new.tgz /var/cache/pbuilder/${NAME}.tgz
 	# create stamp file to record initial creation date minus some hours so the file will be older than 24h when checked in <24h...
 	touch -d "$(date -u -d '6 hours ago' '+%Y-%m-%d %H:%M')" /var/log/jenkins/${NAME}.tgz.stamp
-	rm ${TMPFILE} ${LOG}
+	rm ${LOG}
 }
 
 #

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list